## org.eclipse.emf.cdo.defs.impl
Class CDODefsPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.cdo.defs.impl.CDODefsPackageImpl

All Implemented Interfaces:
  CDODefsPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class CDODefsPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements CDODefsPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.defs.CDODefsPackage
`CDODefsPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.cdo.defs.CDODefsPackage

`CDO_AUDIT_DEF, CDO_AUDIT_DEF__CDO_SESSION_DEF, CDO_AUDIT_DEF__TIME_STAMP, CDO_AUDIT_DEF_FEATURE_COUNT, CDO_CLIENT_PROTOCOL_FACTORY_DEF, CDO_CLIENT_PROTOCOL_FACTORY_DEF_FEATURE_COUNT, CDO_EAGER_PACKAGE_REGISTRY_DEF, CDO_EAGER_PACKAGE_REGISTRY_DEF__PACKAGES, CDO_EAGER_PACKAGE_REGISTRY_DEF_FEATURE_COUNT, CDO_LAZY_PACKAGE_REGISTRY_DEF, CDO_LAZY_PACKAGE_REGISTRY_DEF__PACKAGES, CDO_LAZY_PACKAGE_REGISTRY_DEF_FEATURE_COUNT, CDO_PACKAGE_REGISTRY_DEF, CDO_PACKAGE_REGISTRY_DEF__PACKAGES, CDO_PACKAGE_REGISTRY_DEF_FEATURE_COUNT, CDO_RESOURCE_DEF, CDO_RESOURCE_DEF__CDO_TRANSACTION, CDO_RESOURCE_DEF__PATH, CDO_RESOURCE_DEF__RESOURCE_MODE, CDO_RESOURCE_DEF_FEATURE_COUNT, CDO_SESSION_DEF, CDO_SESSION_DEF__CDO_PACKAGE_REGISTRY_DEF, CDO_SESSION_DEF__CONNECTOR_DEF, CDO_SESSION_DEF__FAIL_OVER_STRATEGY_DEF, CDO_SESSION_DEF__LEGACY_SUPPORT_ENABLED, CDO_SESSION_DEF__REPOSITORY_NAME, CDO_SESSION_DEF_FEATURE_COUNT, CDO_TRANSACTION_DEF, CDO_TRANSACTION_DEF__CDO_SESSION_DEF, CDO_TRANSACTION_DEF_FEATURE_COUNT, CDO_VIEW_DEF, CDO_VIEW_DEF__CDO_SESSION_DEF, CDO_VIEW_DEF_FEATURE_COUNT, EDYNAMIC_PACKAGE_DEF, EDYNAMIC_PACKAGE_DEF__NS_URI, EDYNAMIC_PACKAGE_DEF__RESOURCE_URI, EDYNAMIC_PACKAGE_DEF_FEATURE_COUNT, EGLOBAL_PACKAGE_DEF, EGLOBAL_PACKAGE_DEF__NS_URI, EGLOBAL_PACKAGE_DEF_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EPACKAGE_DEF, EPACKAGE_DEF__NS_URI, EPACKAGE_DEF_FEATURE_COUNT, FAIL_OVER_STRATEGY_DEF, FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF, FAIL_OVER_STRATEGY_DEF_FEATURE_COUNT, RESOURCE_MODE, RETRY_FAIL_OVER_STRATEGY_DEF, RETRY_FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF, RETRY_FAIL_OVER_STRATEGY_DEF__RETRIES, RETRY_FAIL_OVER_STRATEGY_DEF_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` `getCDOAuditDef_TimeStamp()`
`org.eclipse.emf.ecore.EClass` `getCDOAuditDef()`
`org.eclipse.emf.ecore.EClass` `getCDOClientProtocolFactoryDef()`
`CDODefsFactory` `getCDODefsFactory()`
`org.eclipse.emf.ecore.EClass` `getCDOEagerPackageRegistryDef()`
`org.eclipse.emf.ecore.EClass` `getCDOLazyPackageRegistryDef()`
`org.eclipse.emf.ecore.EReference` `getCDOPackageRegistryDef_Packages()`
`org.eclipse.emf.ecore.EClass` `getCDOPackageRegistryDef()`
`org.eclipse.emf.ecore.EReference` `getCDOResourceDef_CdoTransaction()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResourceDef_Path()`
`org.eclipse.emf.ecore.EAttribute` `getCDOResourceDef_ResourceMode()`
`org.eclipse.emf.ecore.EClass` `getCDOResourceDef()`
`org.eclipse.emf.ecore.EReference` `getCDOSessionDef_CdoPackageRegistryDef()`
`org.eclipse.emf.ecore.EReference` `getCDOSessionDef_ConnectorDef()`
`org.eclipse.emf.ecore.EReference` `getCDOSessionDef_FailOverStrategyDef()`
`org.eclipse.emf.ecore.EAttribute` `getCDOSessionDef_LegacySupportEnabled()`
`org.eclipse.emf.ecore.EAttribute` `getCDOSessionDef_RepositoryName()`
`org.eclipse.emf.ecore.EClass` `getCDOSessionDef()`
`org.eclipse.emf.ecore.EClass` `getCDOTransactionDef()`
`org.eclipse.emf.ecore.EReference` `getCDOViewDef_CdoSessionDef()`
`org.eclipse.emf.ecore.EClass` `getCDOViewDef()`
`org.eclipse.emf.ecore.EAttribute` `getEDynamicPackageDef_ResourceURI()`
`org.eclipse.emf.ecore.EClass` `getEDynamicPackageDef()`
`org.eclipse.emf.ecore.EClass` `getEGlobalPackageDef()`
`org.eclipse.emf.ecore.EAttribute` `getEPackageDef_NsURI()`
`org.eclipse.emf.ecore.EClass` `getEPackageDef()`
`org.eclipse.emf.ecore.EReference` `getFailOverStrategyDef_ConnectorDef()`
`org.eclipse.emf.ecore.EClass` `getFailOverStrategyDef()`
`org.eclipse.emf.ecore.EEnum` `getResourceMode()`
`org.eclipse.emf.ecore.EAttribute` `getRetryFailOverStrategyDef_Retries()`
`org.eclipse.emf.ecore.EClass` `getRetryFailOverStrategyDef()`
`static CDODefsPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static CDODefsPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `CDODefsPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getCDOViewDef

    public org.eclipse.emf.ecore.EClass getCDOViewDef()

  Specified by:
    `getCDOViewDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'CDO View Def'.
  See Also:
    `CDOViewDef`

### getCDOViewDef_CdoSessionDef

    public org.eclipse.emf.ecore.EReference getCDOViewDef_CdoSessionDef()

  Specified by:
    `getCDOViewDef_CdoSessionDef` in interface `CDODefsPackage`
  Returns:
    the meta object for the reference 'Cdo Session Def'.
  See Also:
    `CDOViewDef.getCdoSessionDef()`, `CDODefsPackage.getCDOViewDef()`

### getCDOTransactionDef

    public org.eclipse.emf.ecore.EClass getCDOTransactionDef()

  Specified by:
    `getCDOTransactionDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'CDO Transaction Def'.
  See Also:
    `CDOTransactionDef`

### getCDOAuditDef

    public org.eclipse.emf.ecore.EClass getCDOAuditDef()

  Specified by:
    `getCDOAuditDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'CDO Audit Def'.
  See Also:
    `CDOAuditDef`

### getCDOAuditDef_TimeStamp

    public org.eclipse.emf.ecore.EAttribute getCDOAuditDef_TimeStamp()

  Specified by:
    `getCDOAuditDef_TimeStamp` in interface `CDODefsPackage`
  Returns:
    the meta object for the attribute 'Time Stamp'.
  See Also:
    `CDOAuditDef.getTimeStamp()`, `CDODefsPackage.getCDOAuditDef()`

### getCDOSessionDef

    public org.eclipse.emf.ecore.EClass getCDOSessionDef()

  Specified by:
    `getCDOSessionDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'CDO Session Def'.
  See Also:
    `CDOSessionDef`

### getCDOSessionDef_ConnectorDef

    public org.eclipse.emf.ecore.EReference getCDOSessionDef_ConnectorDef()

  Specified by:
    `getCDOSessionDef_ConnectorDef` in interface `CDODefsPackage`
  Returns:
    the meta object for the reference 'Connector Def'.
  See Also:
    `CDOSessionDef.getConnectorDef()`, `CDODefsPackage.getCDOSessionDef()`

### getCDOSessionDef_RepositoryName

    public org.eclipse.emf.ecore.EAttribute getCDOSessionDef_RepositoryName()

  Specified by:
    `getCDOSessionDef_RepositoryName` in interface `CDODefsPackage`
  Returns:
    the meta object for the attribute 'Repository Name'.
  See Also:
    `CDOSessionDef.getRepositoryName()`, `CDODefsPackage.getCDOSessionDef()`

### getCDOSessionDef_CdoPackageRegistryDef

    public org.eclipse.emf.ecore.EReference getCDOSessionDef_CdoPackageRegistryDef()

  Specified by:
    `getCDOSessionDef_CdoPackageRegistryDef` in interface `CDODefsPackage`
  Returns:
    the meta object for the reference 'Cdo Package Registry Def'.
  See Also:
    `CDOSessionDef.getCdoPackageRegistryDef()`, `CDODefsPackage.getCDOSessionDef()`

### getCDOSessionDef_LegacySupportEnabled

    public org.eclipse.emf.ecore.EAttribute getCDOSessionDef_LegacySupportEnabled()

  Specified by:
    `getCDOSessionDef_LegacySupportEnabled` in interface `CDODefsPackage`
  Returns:
    the meta object for the attribute 'Legacy Support Enabled'.
  See Also:
    `CDOSessionDef.isLegacySupportEnabled()`, `CDODefsPackage.getCDOSessionDef()`

### getCDOSessionDef_FailOverStrategyDef

    public org.eclipse.emf.ecore.EReference getCDOSessionDef_FailOverStrategyDef()

  Specified by:
    `getCDOSessionDef_FailOverStrategyDef` in interface `CDODefsPackage`
  Returns:
    the meta object for the reference 'Fail Over Strategy Def'.
  See Also:
    `CDOSessionDef.getFailOverStrategyDef()`, `CDODefsPackage.getCDOSessionDef()`

### getFailOverStrategyDef

    public org.eclipse.emf.ecore.EClass getFailOverStrategyDef()

  Specified by:
    `getFailOverStrategyDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'Fail Over Strategy Def'.
  See Also:
    `FailOverStrategyDef`

### getFailOverStrategyDef_ConnectorDef

    public org.eclipse.emf.ecore.EReference getFailOverStrategyDef_ConnectorDef()

  Specified by:
    `getFailOverStrategyDef_ConnectorDef` in interface `CDODefsPackage`
  Returns:
    the meta object for the reference 'Connector Def'.
  See Also:
    `FailOverStrategyDef.getConnectorDef()`, `CDODefsPackage.getFailOverStrategyDef()`

### getRetryFailOverStrategyDef

    public org.eclipse.emf.ecore.EClass getRetryFailOverStrategyDef()

  Specified by:
    `getRetryFailOverStrategyDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'Retry Fail Over Strategy Def'.
  See Also:
    `RetryFailOverStrategyDef`

### getRetryFailOverStrategyDef_Retries

    public org.eclipse.emf.ecore.EAttribute getRetryFailOverStrategyDef_Retries()

  Specified by:
    `getRetryFailOverStrategyDef_Retries` in interface `CDODefsPackage`
  Returns:
    the meta object for the attribute 'Retries'.
  See Also:
    `RetryFailOverStrategyDef.getRetries()`, `CDODefsPackage.getRetryFailOverStrategyDef()`

### getCDOPackageRegistryDef

    public org.eclipse.emf.ecore.EClass getCDOPackageRegistryDef()

  Specified by:
    `getCDOPackageRegistryDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'CDO Package Registry Def'.
  See Also:
    `CDOPackageRegistryDef`

### getCDOPackageRegistryDef_Packages

    public org.eclipse.emf.ecore.EReference getCDOPackageRegistryDef_Packages()

  Specified by:
    `getCDOPackageRegistryDef_Packages` in interface `CDODefsPackage`
  Returns:
    the meta object for the containment reference list 'Packages'.
  See Also:
    `CDOPackageRegistryDef.getPackages()`, `CDODefsPackage.getCDOPackageRegistryDef()`

### getCDOEagerPackageRegistryDef

    public org.eclipse.emf.ecore.EClass getCDOEagerPackageRegistryDef()

  Specified by:
    `getCDOEagerPackageRegistryDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'CDO Eager Package Registry Def'.
  See Also:
    `CDOEagerPackageRegistryDef`

### getCDOLazyPackageRegistryDef

    public org.eclipse.emf.ecore.EClass getCDOLazyPackageRegistryDef()

  Specified by:
    `getCDOLazyPackageRegistryDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'CDO Lazy Package Registry Def'.
  See Also:
    `CDOLazyPackageRegistryDef`

### getEPackageDef

    public org.eclipse.emf.ecore.EClass getEPackageDef()

  Specified by:
    `getEPackageDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'EPackage Def'.
  See Also:
    `EPackageDef`

### getEPackageDef_NsURI

    public org.eclipse.emf.ecore.EAttribute getEPackageDef_NsURI()

  Specified by:
    `getEPackageDef_NsURI` in interface `CDODefsPackage`
  Returns:
    the meta object for the attribute 'Ns URI'.
  See Also:
    `EPackageDef.getNsURI()`, `CDODefsPackage.getEPackageDef()`

### getEDynamicPackageDef

    public org.eclipse.emf.ecore.EClass getEDynamicPackageDef()

  Specified by:
    `getEDynamicPackageDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'EDynamic Package Def'.
  See Also:
    `EDynamicPackageDef`

### getEDynamicPackageDef_ResourceURI

    public org.eclipse.emf.ecore.EAttribute getEDynamicPackageDef_ResourceURI()

  Specified by:
    `getEDynamicPackageDef_ResourceURI` in interface `CDODefsPackage`
  Returns:
    the meta object for the attribute 'Resource URI'.
  See Also:
    `EDynamicPackageDef.getResourceURI()`, `CDODefsPackage.getEDynamicPackageDef()`

### getEGlobalPackageDef

    public org.eclipse.emf.ecore.EClass getEGlobalPackageDef()

  Specified by:
    `getEGlobalPackageDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'EGlobal Package Def'.
  See Also:
    `EGlobalPackageDef`

### getCDOClientProtocolFactoryDef

    public org.eclipse.emf.ecore.EClass getCDOClientProtocolFactoryDef()

  Specified by:
    `getCDOClientProtocolFactoryDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'CDO Client Protocol Factory Def'.
  See Also:
    `CDOClientProtocolFactoryDef`

### getCDOResourceDef

    public org.eclipse.emf.ecore.EClass getCDOResourceDef()

  Specified by:
    `getCDOResourceDef` in interface `CDODefsPackage`
  Returns:
    the meta object for class 'CDO Resource Def'.
  See Also:
    `CDOResourceDef`

### getCDOResourceDef_CdoTransaction

    public org.eclipse.emf.ecore.EReference getCDOResourceDef_CdoTransaction()

  Specified by:
    `getCDOResourceDef_CdoTransaction` in interface `CDODefsPackage`
  Returns:
    the meta object for the reference 'Cdo Transaction'.
  See Also:
    `CDOResourceDef.getCdoTransaction()`, `CDODefsPackage.getCDOResourceDef()`

### getCDOResourceDef_ResourceMode

    public org.eclipse.emf.ecore.EAttribute getCDOResourceDef_ResourceMode()

  Specified by:
    `getCDOResourceDef_ResourceMode` in interface `CDODefsPackage`
  Returns:
    the meta object for the attribute 'Resource Mode'.
  See Also:
    `CDOResourceDef.getResourceMode()`, `CDODefsPackage.getCDOResourceDef()`

### getCDOResourceDef_Path

    public org.eclipse.emf.ecore.EAttribute getCDOResourceDef_Path()

  Specified by:
    `getCDOResourceDef_Path` in interface `CDODefsPackage`
  Returns:
    the meta object for the attribute 'Path'.
  See Also:
    `CDOResourceDef.getPath()`, `CDODefsPackage.getCDOResourceDef()`

### getResourceMode

    public org.eclipse.emf.ecore.EEnum getResourceMode()

  Specified by:
    `getResourceMode` in interface `CDODefsPackage`
  Returns:
    the meta object for enum 'Resource Mode'.
  See Also:
    `ResourceMode`

### getCDODefsFactory

    public CDODefsFactory getCDODefsFactory()

  Specified by:
    `getCDODefsFactory` in interface `CDODefsPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.